# Malcontent NSS Module

This is a NSS module allowing to perform parental controls
when querying the system interfaces for hostname resolution (DNS).

A system administrator would install the module and then add it to the
`hosts` entry in `/etc/nsswitch.conf`. For instance:

```
hosts: files myhostname malcontent resolve [!UNAVAIL=return] dns
```

Note how `malcontent` precedes both systemd's `resolve` and the libc `dns` modules.

Parental control configuration would happen through the Malcontent client or GUI.
